#!/bin/sh

echo "preparing..."
sudo whoami >/dev/null
if ! [ -f "outro.webm" ]; then
	yt-dlp \
		"https://www.youtube.com/watch?v=3_-a9nVZYjk" \
		--format 251 \
		-o outro.webm
fi

echo "To cancel, Ctrl-C now..."
sleep 5

endtxt() {
	sleep 6
	echo "It's been a pleasure..."
	sleep 4
	echo "and i hate to do this..."
	sleep 5
	echo "but i got to go..."
	sleep 10
	echo "I just want to thank..."
	sleep 5
	echo "My processor, for processing this..."
	sleep 3
	echo "My ram for not forgetting me!"
	sleep 3
	echo "My storage for always keeping space for me!"
	sleep 1
	echo "But mostly..."
	sleep 20
	echo "You, for killing me *dab*"
}

clear
mpv --really-quiet outro.webm &
mpv_pid=$!
endtxt &
sleep 58

sudo shutdown -P now goodbye world
wait $mpv_pid

